/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License") +  you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.openmeetings.app.persistence.beans.sip.asterisk;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "meetme")
public class MeetMe implements Serializable {
	private static final long serialVersionUID = 2789529517142208489L;
	@Id
    @Column(name = "confno", nullable = false)
    String confno = "0";
    @Column(name = "pin")
    String pin;
    @Column(name = "adminpin")
    String adminpin;
    @Column(name = "members", nullable = false)
    Integer members = 0;

    public String getConfno() {
        return confno;
    }

    public void setConfno(String confno) {
        this.confno = confno;
    }

    public String getPin() {
        return pin;
    }

    public void setPin(String pin) {
        this.pin = pin;
    }

    public String getAdminpin() {
        return adminpin;
    }

    public void setAdminpin(String adminpin) {
        this.adminpin = adminpin;
    }

    public Integer getMembers() {
        return members;
    }

    public void setMembers(Integer members) {
        this.members = members;
    }
}